# gdcm::TagPath Class Reference

class to handle a path of tag. More...

`#include <gdcmTagPath.h>`

Collaboration diagram for gdcm::TagPath:
[legend]

List of all members.

## Public Member Functions

| TagPath ()
| ~TagPath ()
bool | ConstructFromString (const char *path)
bool | ConstructFromTagList (Tag const *l, unsigned int n)
| Construct from a list of tags.
void | Print (std::ostream &) const
bool | Push (unsigned int itemnum)
bool | Push (Tag const &t)

## Static Public Member Functions

static bool | IsValid (const char *path)
| Return if path is valid or not.

## Detailed Description

class to handle a path of tag.

Any Resemblance to Existing XPath is Purely Coincidental ftp://medical.nema.org/medical/dicom/supps/sup118_pc.pdf

## Constructor & Destructor Documentation

gdcm::TagPath::TagPath | ( |  | ) |

gdcm::TagPath::~TagPath | ( |  | ) |

## Member Function Documentation

bool gdcm::TagPath::ConstructFromString | ( | const char * | path | ) |

"/0018,0018/"... No space allowed, comma is use to separate tag group from tag element and slash is used to separate tag return false if invalid

bool gdcm::TagPath::ConstructFromTagList | ( | Tag const * | l,
|  | unsigned int | n
| ) |  |

Construct from a list of tags.

static bool gdcm::TagPath::IsValid | ( | const char * | path | ) | `[static]`

Return if path is valid or not.

void gdcm::TagPath::Print | ( | std::ostream & |  | ) | const

bool gdcm::TagPath::Push | ( | Tag const & | t | ) |

bool gdcm::TagPath::Push | ( | unsigned int | itemnum | ) |

The documentation for this class was generated from the following file:

- gdcmTagPath.h